#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2025 by someone <someone@somenet.org>
#
#
# Playbook for provisioning the base-meta-role for all hosts. Also a reference of our vars.
#
# This playbook will be executed always: This is a speed optimization.
# Host-specific playbooks are meant to extend the base.
#
---
# TODO: WakeOnLan and wait for the boxes to become ready and continue playbook
#- hosts: all
#  gather_facts: no
#  tasks:
#  - name: Send magic Wake-On-Lan packet to turn on individual systems
#    wakeonlan:
#      mac: "{{wol_mac}}"
#    delegate_to: localhost
#  - when: wol mac, wolip set
#
#  - name: Wait for system to become reachable
#    wait_for_connection:
#    - timeout: 600
# - test only 5 sec
#

- hosts: all
  become: true
# set in inventory file for now.
#  vars:
#  # Intended to only be overridden in the commandline, for self-healing - ignore, if we are down.
#  - ignore_online_errors: False
  roles:
  - { role: custom-command, tags: 'cc', when: 'cc is defined' }
  - { role: cleanup, tags: ['cleanup'], when: 'not cc is defined and cleanup_level|int > 0' }
  - { role: base, tags: ['base'], when: 'not cc is defined' }
